<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getFactionInviteRequirements](./bitburner.singularity.getfactioninviterequirements.md)

## Singularity.getFactionInviteRequirements() method

List conditions for being invited to a faction.

**Signature:**

```typescript
getFactionInviteRequirements(faction: FactionName): PlayerRequirement[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

faction


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>

Name of the faction


</td></tr>
</tbody></table>

**Returns:**

[PlayerRequirement](./bitburner.playerrequirement.md)<!-- -->\[\]

Array of PlayerRequirement objects which must all be fulfilled to receive an invitation.

## Remarks

RAM cost: 3 GB \* 16/4/1

## Example


```js
ns.singularity.getFactionInviteRequirements("The Syndicate");

[
  { "type": "someCondition", "conditions": [
      { "type": "city", "city": "Aevum" },
      { "type": "city", "city": "Sector-12" }
    ]
  },
  { "type": "not", "condition": {
      "type": "employedBy", "company": "Central Intelligence Agency"
    }
  },
  { "type": "not", "condition": {
      "type": "employedBy", "company": "National Security Agency"
    }
  },
  { "type": "money", "money": 10000000 },
  { "type": "skills", "skills": { "hacking": 200 } },
  { "type": "skills", "skills": { "strength": 200 } },
  { "type": "skills", "skills": { "defense": 200 } },
  { "type": "skills", "skills": { "dexterity": 200 } },
  { "type": "skills", "skills": { "agility": 200 } },
  { "type": "karma", "karma": -90 }
]
```

